Node v0.3.8

Showing 1-6 of 6 messages
Node v0.3.8 Ryan Dahl 2/4/11 7:55 PM
2011.02.04, Version 0.3.8 (unstable)

* Add req.abort() for client side requests.

* Add exception.code for easy testing:
  Example: if (err.code == 'EADDRINUSE');

* Add process.stderr.

* require.main is the main module. (Isaac Schlueter)

* dgram: setMulticastTTL, setMulticastLoopback and addMembership.
  (Joe Walnes)

* Fix throttling in TLS connections

* Add socket.bufferSize

* MinGW improvements (Bert Belder)

* Upgrade V8 to 3.1.1


Download: http://nodejs.org/dist/node-v0.3.8.tar.gz

Website: http://nodejs.org/docs/v0.3.8

Documentation: http://nodejs.org/docs/v0.3.8/api

Re: Node v0.3.8 Ryan Dahl 2/4/11 8:02 PM
Barring exceptional problems in the next week, this will be the last
release of the v0.3 series. The next release is v0.4 which will be
release next week.

If you are still on the v0.2 branch, please consider moving code to
v0.3.8. We are collecting API differences on this wiki page:

https://github.com/ry/node/wiki/Migrating-from-v0.2-to-v0.3

Re: [nodejs] Re: Node v0.3.8 kuno 2/4/11 9:55 PM



--
You received this message because you are subscribed to the Google Groups "nodejs" group.
To post to this group, send email to nod...@googlegroups.com.
To unsubscribe from this group, send email to nodejs+un...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/nodejs?hl=en.

sorry, but where is the doc for this ?
================================
* Add exception.code for easy testing:
 Example: if (err.code == 'EADDRINUSE');
================================
Re: [nodejs] Node v0.3.8 Laurie Harper 2/4/11 11:26 PM
On 2011-02-04, at 10:55 PM, Ryan Dahl wrote:
> * Add exception.code for easy testing:
>  Example: if (err.code == 'EADDRINUSE');

Awesome :-O I've never come across require('constants') before, which would have made life easier -- but this is even better :-) +1 with multiples and lots of bacon ;-) Should it be 'errcode' instead of 'code', though, for parity with 'errorno'?

L.

Re: [nodejs] Node v0.3.8 kuno 2/4/11 11:47 PM



--
You received this message because you are subscribed to the Google Groups "nodejs" group.
To post to this group, send email to nod...@googlegroups.com.
To unsubscribe from this group, send email to nodejs+un...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/nodejs?hl=en.


you make me clear, thanks
Re: [nodejs] Node v0.3.8 kuno 2/4/11 11:54 PM


It seems that this new constants internal module  appeared  since v0.3.0?